#pragma once

#include <SFML/Graphics.hpp>

using namespace sf;

#include "Shared.hpp"

class Kebab:public Drawable, public Transformable {
public:
	Kebab() = delete;
	Kebab(Shared* context);
	virtual ~Kebab();
	bool dead;
	void loop(float delta);
	Sprite keb;
	Sprite spr;
private:
	virtual void draw(RenderTarget& target, RenderStates states) const override;
Shared* _context;
	static Texture _tex;
	static Texture _tex2;
	Clock clk;
	bool released;
	bool phasing;
	Clock phasecd;
	Clock rotcd;
};
